sortByCriterion {Rmixmod} | R Documentation

## Sorting results of a [`Mixmod`] object by a given criterion

### Description

After calling the mixmodCluster() or mixmodLearn() method, results will be sorted into ascending order according to the first given criterion (descending order for CV criterion). This method is able to reorder the list of results according to a given criterion.

### Usage

    sortByCriterion(object, criterion)

    ## S4 method for signature 'Mixmod,character'
    sortByCriterion(object, criterion)

### Arguments

`object` | a [`Mixmod`] object
`criterion` | a string containing the criterion name

### Value

a modified [`Mixmod`] object

### Examples

      x<-mixmodCluster(iris[1:4],2:10,criterion=c("BIC","ICL"))
      icl<-sortByCriterion(x,"ICL")
      icl["results"]

[Package Rmixmod version 2.1.2.2 Index]